.image-uploader-wrapper {
  margin-bottom: 5px;
}

.image-uploader-wrapper > div {
  display: flex;
}

#misc-img-uploader i{
  color: #666666 !important;
}

.testIcons {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  margin: 0 10px;
  text-align: center;
}

.image-uploader-container {
  width: 94px;
  height: 94px;
  border-radius: 6px;
  border: 1px dashed var(--primary-border);
  padding: 8px;
  font-family: sans-serif;
}

.testLabel {
  display: block;
  font-size: 14px;
  max-width: 200px;
  margin: 0 auto 15px;
  text-align: center;
  word-wrap: break-word;
  color: var(--font-color-inactive);
}

.testHidden,
#testUploadImg:not(.testHidden) + .testLabel {
  display: none;
}

#testUploadImg{
  image-orientation: from-image; 
}

#image-uploader-input-file {
  display: none;
  margin: 0 auto;
}

#testUpload {
  display: block;
  padding: 10px 10px;
  border: 0;
  margin: 0 auto;
  font-size: 15px;
  cursor: pointer;
  color: var(--font-color-inactive);
  outline: none;
  text-align: center;
  font-size: 30px;
}

.image-uploader-container:hover,
.image-uploader-container:focus,
.image-uploader-container:active {
  background: var(--light-blue);
}

.image-uploader-container:hover #testUpload,
.image-uploader-container:hover .testLabel,
.image-uploader-container:focus #testUpload,
.image-uploader-container:focus .testLabel {
  color: var(--blue);
}

.image-uploader-container:active #testUpload,
.image-uploader-container:active .testLabel {
  color: var(--blue);
}

#testUploadImg {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 6px;
}

@media screen and (max-width: 992px) {
  .image-uploader-wrapper > div {
    justify-content: space-between;
    background: var(--secondary-background);
    padding: 10px;
    border-radius: 6px;
  }

  .image-uploader-container {
    width: 60px;
    height: 60px;
    padding: 0
  }

  .testIcons {
    flex-direction: row;
    margin: 18px;
  }

  #testUpload {
    padding: 6px 10px;
    font-size: 24px;
  }

  .testIcons > span + span {
    margin-left: 24px;
  }

  .testLabel {
    margin: 0;
  }  
}

.toCopy {
  width: 100%
}

/* Scanning bar animation */
.scanning-bar {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 10px;
  background-color: rgba(255, 0, 51, 0.5);
  z-index: 10;
  animation: scan 3s linear infinite;
}

@keyframes scan {
  0% {
    top: 0;
    }
  100% {
    top: 100%;
    }
}

/* Overlay to cover the image while scanning */
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 9;
  overflow: hidden; /* Prevent resizing from scanning-bar */
}

.image-container {
  position: relative;
  display: inline-block;
}

.scrollable-image-container{
  max-height: 400px;
  min-height: 400px;
}

.photo-upload-drag-zone {
  border: 2px dashed #ccc;
  padding: 20px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.2s;
}

.photo-upload-drag-zone.drag-hover {
  background-color: #f0f8ff;
  border-color: #007bff;
}

@media screen and (max-width: 992px) {
  .photo-upload-drag-zone {
    padding: 0px;
  }
}